=head1 NAME

sendinpaths - Send Usenet Path statistics via e-mail

=head1 SYNOPSIS

B<sendinpaths> [B<-n>]

=head1 DESCRIPTION

B<sendinpaths> checks I<pathlog>/path for B<ninpaths> dump files, finds
dump files generated in the past 30 days, makes sure they are valid by
running B<ninpaths> on each one and making sure the exit status is zero,
and passes them to B<ninpaths> to generate a cumulative report.  That
report is mailed to the e-mail addresses configured at the beginning of
this script (by default "pathsurvey@top1000.org" and
"top1000@anthologeek.net").

When finished, B<sendinpaths> deletes all dump files in I<pathlog>/path
that are older than 14 days (configurable at the beginning of the script).

For more information on how to set up B<ninpaths>, see ninpaths(8).

=head1 OPTIONS

=over 4

=item B<-n>

Don't e-mail the report; instead, just print it to standard output.  Don't
delete old dump files.

=back

=head1 SEE ALSO

ninpaths(8)

=head1 HISTORY

B<sendinpaths> was written by Olaf Titz <olaf@bigred.inka.de>.

=cut
